osl::rating::RookDefense Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::RookDefense:

## Public Member Functions

| RookDefense ()
bool | match (const NumEffectState &state, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Detailed Description

Definition at line 194 of file rating/feature.h.

## Constructor & Destructor Documentation

## RookDefense()

osl::rating::RookDefense::RookDefense | ( |  | ) |

inline

Definition at line 197 of file rating/feature.h.

References osl::rating::Feature::Feature().

## Member Function Documentation

## match()

bool osl::rating::RookDefense::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 200 of file rating/feature.h.

References osl::Move::from(), osl::Move::isDrop(), osl::Square::isPieceStand(), osl::Piece::owner(), osl::SimpleState::pieceOf(), osl::Move::player(), osl::rating::RatingEnv::progress, osl::sign(), osl::Piece::square(), osl::Move::to(), osl::progress::ProgressN< N >::value(), osl::Square::x(), and osl::Square::y().

The documentation for this class was generated from the following file:

- rating/feature.h